/*---------------------------------------------------------------------------------------------------*\
|   PROGRAM NAME: dx4_prev.sas                                                                        |
|                                                                                                     |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Version: Revised 1.0                                                                              |
|   Date: September 24, 2015
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Program inputs:                                                                                   |
|       Multiple DX_4_Digit temporary tables split by time segment                                    |
|   Program outputs:                                                                                  |
|       Final "ICD-9-CM Diagnosis (4 digit)" Summary Table                                            |
|-----------------------------------------------------------------------------------------------------|
|                                                                                                     |
|   Contact:                                                                                          |
|       Mini-Sentinel Coordinating Center                                                             |
|       info@mini-sentinel.org                                                                        |
\*---------------------------------------------------------------------------------------------------*/

%*** Call Prevalent Summary macro to create aggregates and finalize Dx4 Prevalent Table;
%prev_summ_finalize(
  InFile=DPTemp.dx_4_digit,
  OutFile=dplocal.Icd9_diagnosis_4_digit,
  EventVar=Code,
  EventVarLength=4,
  EventVarLabel=%str(4-digit Dx Code),
  SummVar=,
  Setting=Y,
  StratVars=AgeTimePeriodGroupKey Sex,
  LookupTbl=InFolder.Dx_icd9_4dig_lookup,
  DescripPairLength=srt_descrip|DxName|35|Diagnosis Name
  );

* End of dx4_prev.sas;
